#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	expat
Version		:	2.5.0
Release		:	17.0.10.rel%{?dist}
Summary		:	An XML parser library
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://libexpat.github.io/ 
			#https://prdownloads.sourceforge.net/expat

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
%description
This is expat, the C library for parsing XML, written by James Clark. Expat
is a stream oriented XML parser. This means that you register handlers with
the parser prior to starting the parse. These handlers are called when the
parser discovers the associated structures in the document being parsed. A
start tag is an example of the kind of structures for which you may
register handlers.

#-----------------------------------------------------------------------------
%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS changelog
%{_bindir}/xmlwf
%{_libdir}/lib%{name}.so.*
%{_mandir}/man1/xmlwf.1.gz

#=============================================================================
%package		devel
Summary		:	Libraries and header files to develop applications using expat	

#-----------------------------------------------------------------------------
Requires	:	%{name}		=  %{version}-%{release}

#-----------------------------------------------------------------------------
%description		devel
The '%{name}-devel' package contains the libraries, include 
files and documentation to develop XML applications with '%{name}'

#-----------------------------------------------------------------------------
%files			devel
%defattr(-,root,root)
%doc doc/reference.html doc/*.css examples/*.c
%{_includedir}/%{name}*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/cmake/%{name}-%{version}/%{name}*.cmake

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

DOCBOOK_TO_MAN="xmlto man --skip-validation"		\
./configure						\
        --prefix=%{_prefix}				\
	--exec-prefix=%{_exec_prefix}			\
        --sysconfdir=%{_sysconfdir}			\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-static				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make} DESTDIR=%{buildroot} install

#To remove libtool library
find 							\
	%{buildroot}%{_libdir}				\
	-name \*.la					\
	-delete

#-----------------------------------------------------------------------------
%changelog
